fprintf('computing diction pca ...');
tic;

[pca_p,pca_n] = size(lf_feats); 
pca_mean = zeros(pca_p,1);
pca_std = zeros(pca_p,1);

for pca_k = 1:pca_p
    pca_mean(pca_k) = mean(lf_feats(pca_k,:));
    pca_std(pca_k) = std(lf_feats(pca_k,:));
end
for pca_k = 1:pca_p
    lf_feats(pca_k,:) = (lf_feats(pca_k,:) - pca_mean(pca_k))/pca_std(pca_k);
end

X = lf_feats*lf_feats'/pca_n;
[U,S,~] = svd(X);
pca_base = U(:,1:64)';

toc;