function im_syn = SynIm_noRefine(im_in,disp,m,n,params)

lev_num = params.lev_num;
ori_num = params.ori_num;

if m > 0
    im_in(:,:,1) = fliplr(im_in(:,:,1));
    im_in(:,:,2) = fliplr(im_in(:,:,2));
    im_in(:,:,3) = fliplr(im_in(:,:,3));
    
    disp = fliplr(disp);
end

im_in = double(im_in);
im_syn = im_in;

imr = im_in(:,:,1);
img = im_in(:,:,2);
imb = im_in(:,:,3);

if m ~= 0
    [imr,~,~,~] = DAPS(imr,lev_num,ori_num,disp*abs(m),[],0,params);
    [img,~,~,~] = DAPS(img,lev_num,ori_num,disp*abs(m),[],0,params);
    [imb,~,~,~] = DAPS(imb,lev_num,ori_num,disp*abs(m),[],0,params);
end

im_syn = uint8(im_syn);
if m > 0
    imr = fliplr(imr);
    img = fliplr(img);
    imb = fliplr(imb);
    
    disp = fliplr(disp);
end

if n > 0
    imr = flipud(imr);
    img = flipud(img);
    imb = flipud(imb);
    
    disp = flipud(disp);
end

if n ~= 0
    [imr,~,~,~] = DAPS(imr',lev_num,ori_num,disp'*abs(n),[],0,params);
    [img,~,~,~] = DAPS(img',lev_num,ori_num,disp'*abs(n),[],0,params);
    [imb,~,~,~] = DAPS(imb',lev_num,ori_num,disp'*abs(n),[],0,params);
    imr = imr';
    img = img';
    imb = imb';
end

if n > 0
    imr = flipud(imr);
    img = flipud(img);
    imb = flipud(imb);
    
    disp = flipud(disp);
end


im_syn(:,:,1) = imr;
im_syn(:,:,2) = img;
im_syn(:,:,3) = imb;

end