function [labels_left,labels_right] = subpixWithInit(dispVol,dispVol1, disp_init, numDisp)
%UNTITLED2 Summary of this function goes here
%   Detailed explanation goes here
[m,n,dispnum] = size(dispVol);
disp_min = Mynlfilter(disp_init, [5 5], @(x)min(min(x)),{},1e15);
disp_max = Mynlfilter(disp_init, [5 5], @(x)max(max(x)),{},-1e15);
disp_min = 4*disp_min + floor(numDisp/2) + 1;
disp_max = 4*disp_max + floor(numDisp/2) + 1;
v = zeros(m,n);
ind = zeros(m,n);
for i = 1:m
    for j = 1:n
        tmp_down = min(max(floor(disp_min(i,j)),1),numDisp);
        tmp_up = max(min(ceil(disp_max(i,j)),numDisp),1);
        [tmp_v,tmp_ind] = min(dispVol(i,j,tmp_down:tmp_up));
        v(i,j) = tmp_v(1);
        ind(i,j) = tmp_ind(1) + tmp_down - 1;
    end
end
x2=ind;
y2=v;
x1 = ind-1;
x3 = ind+1;
x3(x3>dispnum)=dispnum;
for m = 1:size(dispVol,1)
    for n = 1:size(dispVol,2)
        if(x1(m,n)==0)
            y1(m,n) = dispVol(m,n,x3(m,n));
            y3(m,n) = dispVol(m,n,x3(m,n));
        elseif(x1(m,n)==dispnum)
            y1(m,n) = dispVol(m,n,x1(m,n));
            y3(m,n) = dispVol(m,n,x1(m,n));
        else
            y1(m,n) = dispVol(m,n,x1(m,n));
            y3(m,n) = dispVol(m,n,x3(m,n));
        end
        if(y1(m,n)==y2(m,n)||y2(m,n)==y3(m,n))
            y1(m,n)=y2(m,n)+0.1;
            y3(m,n)=y2(m,n)+0.1;
        end
    end
end
labels_left = (x1.^2.*y2 - x2.^2.*y1 - x1.^2.*y3 + x3.^2.*y1 + x2.^2.*y3 - x3.^2.*y2)./(2*x1.*y2 - 2*x2.*y1 - 2*x1.*y3 + 2*x3.*y1 + 2*x2.*y3 - 2*x3.*y2);
for m = 1:size(dispVol,1)
    for n = 1:size(dispVol,2)
        if ((y1(m,n)<y2(m,n))||(y3(m,n)<y2(m,n)))
            labels_left(m,n) = x2(m,n);
        end
    end
end

[v,ind] = min(dispVol1,[],3);
x2=ind;
y2=v;
x1 = ind-1;
x3 = ind+1;
x3(x3>dispnum)=dispnum;
for m = 1:size(dispVol1,1)
    for n = 1:size(dispVol1,2)
        if(x1(m,n)==0)
            y1(m,n) = dispVol1(m,n,x3(m,n));
            y3(m,n) = dispVol1(m,n,x3(m,n));
        elseif(x1(m,n)==dispnum)
            y1(m,n) = dispVol1(m,n,x1(m,n));
            y3(m,n) = dispVol1(m,n,x1(m,n));
        else
            y1(m,n) = dispVol1(m,n,x1(m,n));
            y3(m,n) = dispVol1(m,n,x3(m,n));
        end
         if(y1(m,n)==y2(m,n)||y2(m,n)==y3(m,n))
            y1(m,n)=y2(m,n)+0.1;
            y3(m,n)=y2(m,n)+0.1;
        end
    end
end
labels_right = (x1.^2.*y2 - x2.^2.*y1 - x1.^2.*y3 + x3.^2.*y1 + x2.^2.*y3 - x3.^2.*y2)./(2*x1.*y2 - 2*x2.*y1 - 2*x1.*y3 + 2*x3.*y1 + 2*x2.*y3 - 2*x3.*y2);

end

