function im_syn = P2SR_syn(im_PhSR,im_PaSR,syn_params)
alpha = 0.012;
ratio = 0.75;
minWidth = 20;
nOuterFPIterations = 7;
nInnerFPIterations = 1;
nSORIterations = 30;
para = [alpha,ratio,minWidth,nOuterFPIterations,nInnerFPIterations,nSORIterations];

switch (syn_params.type)
    case 'wrap'
        [vx,vy,im_syn] = Coarse2FineTwoFrames(im_PaSR,im_PhSR,para);
        im_syn = uint8(im_syn*255);
    case 'wrap_lr'
        [vx,vy,im_syn] = Coarse2FineTwoFrames(im_PaSR,im_PhSR,para);
        im_syn = uint8(im_syn*255);
        im_syn = LP_Refine2(im_syn,im_PaSR);
    otherwise
        error('wrong type of P2SR_syn!\n');
end

end