function weights = filtermask(colimg, x, y, winsize,gamma_c,gamma_p)

% 1
% tic;


radius = floor(winsize / 2);
[h,w,c] = size(colimg);


y_ind = max(1,y-radius):min(h,y+radius);
x_ind = max(1,x-radius):min(w,x+radius);


patch_h = length(y_ind);
patch_w = length(x_ind);
centercol = colimg(y,x,:);
curPatch = colimg(y_ind,x_ind,:);
% toc;
% 2
% tic;

t1 = zeros(patch_h,patch_w);
for k = 1:c
    t1 = t1 + (centercol(k) - curPatch(:,:,k)).^2;
end
coldiff = sqrt(t1);
% toc;
% 3
% tic;
[xx,yy] = meshgrid(x_ind-x,y_ind-y');
sdiff = sqrt( xx.^2 + yy.^2 );
% toc;
% 4
% tic;
weights = exp(-1 * coldiff ./ (gamma_c*gamma_c)).*exp(-1 * sdiff ./ (gamma_p*gamma_p));
% toc;
end