function [im_syn, im_syn_nl,disps,im_syn_sel_ref,im_syn_sel_ref_nl,disps_err ] = SynRefineWithInitDisp_2(im_0,disp_init,im_ref,im_ref_gt,params)
im_syn = cell(size(im_ref));
im_syn_nl = im_syn;
disps = cell(size(im_ref));

im_syn_sel_ref = im_syn;
im_syn_sel_ref_nl = im_syn_nl;
disps_err = disps;

ref_num = length(im_ref);

for m = 1:ref_num
    
    
    %% 1. norefine
    
%         disp_0 = CmpDispWithInit(im_0,im_ref{m},disp_init,params);
%         im_syn{m} = SynIm(im_0,disp_0,1,0,params);
%         
%         im_syn_nl{m} = im_syn{m};    
%         im_syn{m} = LP_Refine2(im_syn{m},im_ref{m});
%         fprintf('##########################################\n');
%         fprintf('psnr: %f \n',GetPSNR(im_syn{m} , im_ref_gt{m}));
%         fprintf('##########################################\n');
        
   %% 2. iter refine with self
        disp_0 = CmpDispWithInit(im_0,im_ref{m},disp_init,params);
        im_syn{m} = SynIm(im_0,disp_0,1,0,params);    
        
        im_syn_nl{m} = im_syn{m};    
        im_syn{m} = LP_Refine2(im_syn{m},im_ref{m});
        fprintf('##########################################\n');
        fprintf('psnr: %f \n',GetPSNR(im_syn{m} , im_ref_gt{m}));
        fprintf('##########################################\n');
        
        % add self refine
        % set the refine params
        raw_filter_kernel = params.filter_kernel;
        raw_disp_range = params.disp_range;
        params.filter_kernel = params.filter_kernel_selfrefine;
        params.disp_range = params.disp_range_self_refine;
        
        disp_err = CmpDisp(im_0,im_ref{m},params);
        disps_err{m} = disp_err;
        % restore params
        params.filter_kernel = raw_filter_kernel;
        params.disp_range = raw_disp_range;
        
        im_syn_sel_ref{m} = SynIm(im_0,disp_0+disp_err,1,0,params);
        im_syn_sel_ref_nl{m} = im_syn_sel_ref{m};    
        im_syn_sel_ref{m} = LP_Refine2(im_syn_sel_ref{m},im_ref{m});
        fprintf('##########################################\n');
        fprintf('psnr: %f \n',GetPSNR(im_syn{m} , im_ref_gt{m}));
        fprintf('##########################################\n');
        
end
end