%WarpSR
% compute t = 0 part image

lev = lev_num;

params.PhSR.filter_kernel = params.PhSR.filter_kernel_for_levels(lev);
params.PhSR.disp_range = params.PhSR.filter_kernel_for_levels(lev);

alpha = 0.012;
ratio = 0.75;
minWidth = 20;
nOuterFPIterations = 7;
nInnerFPIterations = 1;
nSORIterations = 30;
para = [alpha,ratio,minWidth,nOuterFPIterations,nInnerFPIterations,nSORIterations];

% syn with refine disp
pyr_P2SR_syn{p2sr_iter} = pyr;
if params.PaSR_lr
    pyr_PaSR_cur = pyr_PaSR_lr;
else
    pyr_PaSR_cur = pyr_PaSR;
end

cur_ver = sprintf('PhWR_%d',p2sr_iter);

lev = lev_num;
for t = t_begin:t_end
    for s = s_begin:s_end
        if params.WaSR_done(p2sr_iter)
            pyr_P2SR_syn{p2sr_iter}{t+t_c,s+s_c,lev_num} = MyReadIM(out_path,lev,s,t,cur_ver);
        else            
            [~,~,im_syn] = Coarse2FineTwoFrames(pyr_PaSR_cur{p2sr_iter}{t+t_c,s+s_c,lev_num},pyr{t_c,s_c,lev_num},para);
            pyr_P2SR_syn{p2sr_iter}{t+t_c,s+s_c,lev_num} = uint8(im_syn*255);
            MySaveIM( pyr_P2SR_syn{p2sr_iter}{t+t_c,s+s_c,lev_num},out_path,lev,s,t,cur_ver);
        end
        cur_pnsr = GetPSNR(pyr_P2SR_syn{p2sr_iter}{t+t_c,s+s_c,lev_num}, pyr_gt{t+t_c,s+s_c,lev_num})
        psnr_PhSR{p2sr_iter}(t+t_c,s+s_c,lev_num) = cur_pnsr;
    end
end


fprintf('psnr_PhSR{p2sr_iter}:\n');
psnr_PhSR{p2sr_iter}(:,:,lev_num)





