%generate new PhSR_Palr with PhSR_nolr and PaSR_lr
addpath ../../;


for t = -1:1
    for s = -1:1
        
        if s == 0 && t == 0
            continue;
        end
        
        cur_img_id = sprintf('im_l4_t%03d_s%03d',100+t,100+s);
        
        im_PhSR_lr = imread(sprintf('%s_PhSR_1.png',cur_img_id));
        im_PhSR_nolr = imread(sprintf('%s_PhSR_1_nolr.png',cur_img_id));
        im_PaSR_nolr = imread(sprintf('%s_PaSR_1_nolr.png',cur_img_id));
        
        im_PhSR_Pa_nolr = LP_Refine2(im_PhSR_nolr,im_PaSR_nolr);
        
        imwrite(im_PhSR_Pa_nolr,sprintf('%s_PhSR_1_Pa_nolr.png',cur_img_id));
        
        im_PhSR_Pa_lr = LP_Refine2(im_PhSR_nolr,im_PhSR_lr);
        imwrite(im_PhSR_Pa_lr,sprintf('%s_PhSR_1_Pa_lr.png',cur_img_id));
    end
end